
import 'package:flutter/services.dart';

class WiFiPlugin {

    static const MethodChannel _channel = MethodChannel("com.vanstone.WifiPlugin");


    // 扫描wifi
    static Future<void> startScan() async {
        return await _channel.invokeMethod("startScan");
    }

    // 连接wifi
    static Future<void> connect(String ssid,String bssid,String password) async {
      return await _channel.invokeMethod("connect",{"ssid":ssid,"bssid":bssid,"password":password});
    }

    // 断开wifi
    static Future<void> disconnect() async {
        return await _channel.invokeMethod("disconnect");
    }
}